DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# StringCat

Concatenate two strings

## SYNOPSIS

`#include "dip_string.h"`

dip_Error dip_StringCat ( newStr, str1, str2, cstr, resources )

## FUNCTION

Concatenates `str1` and `str2` and puts the result in `newStr`, which is allocated. If `str2` is `0`, `cstr` is used instead.

## ARGUMENTS

Data type | Name | Description
`dip_String *` | `newStr` | Destination
`dip_String` | `str1` | First string
`dip_String` | `str2` | Second string
`char *` | `cstr` | Second string
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`StringAppend`, `StringCompare`, `StringCompareCaseInsensitive`, `StringCopy`, `StringCrop`, `StringNew`, `StringReplace`, `UnderscoreSpaces`